@Rem    Execute a native command and log the transaction
@Rem
@Rem  Environment variables:
@Rem      SummaryLog         (Required) The log file.
@Rem      SectionName        (Optional) The name of the calling batch file.
@Rem      CommandName        (Optional) An ID or name for the command being issued.
@Rem      CommandDescription (Optional) A Description of intent for the command.
@Rem
@Rem Special Effects:  (Case Sensitive)
@Rem
@Rem  echo      Will not report return code for echo statements.
@Rem
@Rem  BlankLine Will provide a time stamped blank line in the log and on the Screen
@Rem

@if     defined echo echo %echo%
@if Not defined echo echo off

if (%SummaryLog%) == () echo Error in %0 -- required environment variable SummaryLog is not set. & GoTo egress

GetInput SQLTS short "%TMP%\LogEven1.Bat" & Call "%TMP%\LogEven1.bat" & Del "%TMP%\LogEven1.bat"

if /I (%1) == (echo)      GoTo ecko
if /I (%1) == (BlankLine) GoTo BlankLine
if /I (%1) == (GetInput)  GoTo GetInput

if not defined CommandName GoTo NoDesc
echo %SQLTS% Section     : %SectionName% : %CommandName% >>%SummaryLog%
if defined CommandDescription  echo %SQLTS% Description : %CommandDescription% >>%SummaryLog%
:NoDesc

echo %SQLTS% %* >>%SummaryLog%
echo %SQLTS% %*

Set ErrorLevel=
%* 1>"%TMP%\LogEvent.std" 2>"%TMP%\LogEvent.Err"
Set rc=%Errorlevel%
GetInput SQLTS short "%TMP%\LogEven1.Bat" & Call "%TMP%\LogEven1.bat" & Del "%TMP%\LogEven1.bat"

if not exist "%TMP%\LogEvent.std" GoTo NoStdLog
for /F " tokens=1* " %%a in (%TMP%\LogEvent.std) Do echo   StdOut: %%a %%b & echo   StdOut %%a %%b >>%SummaryLog%
if exist "%TMP%\LogEvent.std" Del "%TMP%\LogEvent.std"
:NoStdLog

if not exist "%TMP\LogEvent.Err" GoTo NoErrLog
for /F " tokens=1* " %%l in (%TMP%\LogEvent.err) Do echo   StdErr:  %%l %%m & echo   StdErr: %%l %%m >>%SummaryLog%
if exist "%TMP%\LogEvent.err" Del  "%TMP%\LogEvent.err"
:NoErrLog

echo %SQLTS% rc = %rc% >>%SummaryLog%
echo %SQLTS% rc = %rc%
Set ErrorLevel=%RC%
Goto Egress


:ecko
%* 1>"%TMP%\LogEvent.std" 2>&1
if not exist "%TMP%\LogEvent.std" GoTo z_ecko
for /F " tokens=1* " %%a in (%TMP%\LogEvent.std) Do echo %SQLTS% %%a %%b & echo %SQLTS% %%a %%b >>%SummaryLog%
if exist "%TMP%\LogEvent.std" Del "%TMP%\LogEvent.std"
:z_Ecko
GoTo Egress


:BlankLine
echo %SQLTS% >>%SummaryLog%
echo %SQLTS%
GoTo Egress


:GetInput
@rem  GetInput varName " message " batFile
echo.
echo %SQLTS% %* >>%SummaryLog%
%*
call %4  & del %4
echo %SQLTS% User reply is %GetInputReply% >>%SummaryLog%

:Egress
