echo off
REM To generate an xml file from the input activity log file
REM enter the following:
REM   waslogfile intxtfile outxmlfile
REM where intxtfile is the full path name of the input log file in text format
REM       outxmlfile is the full path name of the output xml file
REM
REM   e.g. waslogfile d:\cbroker\service\activity.txt d:\cbroker\service\act.xml
REM
REM To generate an xml file for a specific unit of work only
REM enter the following:
REM   waslogfile intxtfile outxmlfile -filter filterval
REM where
REM       intxtfile is the full path name of the input log file
REM       outxmlfile is the full path name of the output xml file
REM       -filter specifiy the option to generate for a specific unit of work
REM       filterval is the value of the unit of work 
REM  e.g. waslogfile d:\cbroker\service\activity.txt d:\cbroker\service\act.xml -filter 7346:mfok.torolab.ibm.com
REM
setlocal
call "%~dp0setupCmdLine.bat"
set PATH=%WAS_HOME%\bin;%PATH%
for /f %%d in ('cd') do set CURRDIR=%%d
set TEMPIVBDIR=%WAS_HOME%
set DIR=%TEMPIVBDIR%\bin
pushd %DIR%
%JAVA_HOME%\bin\java -DIVB_HOME="%USERPROFILE%" -DIVB_DRIVER_PATH="%TEMPIVBDIR%" ^
  -DTEMP="%TEMP% " ^
  -DCURRDIR="%CURRDIR% " ^
  -DVABHELP="file:///%WAS_HOME%/web/InfoCenter/was/" ^
  -DSymptomAnalyzerPath="%TEMPIVBDIR%\properties\logbr\symptoms\adv\symptomdb.xml" ^
  -DTimeStampFormat="M/d/yyyy H:mm:ss." ^
  -DEDITION=advanced ^
  -cp "%TEMPIVBDIR%\properties\logbr;%TEMPIVBDIR%\lib\ivblogbr.jar;%TEMPIVBDIR%\bin;%TEMPIVBDIR%\lib\logbrjface.jar;%TEMPIVBDIR%\properties\logbr\logbrxml.jar" -mx90m -ms30m com.ibm.ivb.log.LogFile %*
popd

