@rem Copyright IBM Corp. 2001

@echo off
setlocal
call setupCmdLine.bat

set JITC_COMPILEOPT=NINLINING

set finput=%~f1
set fworking=%~f2
set foutput=%~f3

if "%1"=="" goto help
if "%ITP_LOC%"=="" goto darn
set itp_cp=%ITP_LOC%\plugins\org.eclipse.core.boot\boot.jar
set ejbd_cp=%ITP_LOC%\plugins\com.ibm.etools.ejbdeploy\runtime\batch.jar
set ws_cp=%WAS_HOME%\lib\xerces.jar;%WAS_HOME%\lib\ivjejb35.jar;%WAS_HOME%\lib\j2ee.jar;%WAS_HOME%\lib\vaprt.jar

set ejbdopts=
shift
shift
shift

:shiftAgain
if .%1 == . goto run
set ejbdopts=%ejbdopts% %1
shift
goto shiftAgain
:run

"%JAVA_HOME%\bin\java" -Dwebsphere.lib.dir="%WAS_HOME%\lib" -cp "%ws_cp%;%ejbd_cp%;%itp_cp%" -Xmx512M com.ibm.etools.ejbdeploy.EJBDeploy "%finput%" "%fworking%" "%foutput%" %ejbdopts%
goto end
:darn
echo need to set ITP_LOC
goto end

:help
echo EJBDeploy
echo Syntax: EJBDeploy inputJar workingDirectory outputJar [options]
echo Options:
echo   -cp "<zip/jar files separated by ;>"  classpath
echo   -codegen    Only generate the deployment code, do not run RMIC or Javac
echo   -dbname "Name"      The name of the database to create
echo   -dbschema "Schema"  The name of the schema to create
echo   -dbvendor DBTYPE  Set the database vendor type, to one of:
echo             SQL92 SQL99 DB2UDBWIN_V71 DB2UDBWIN_V72 DB2UDBOS390_V6
echo             DB2UDBOS390_V7 DB2UDBAS400_V4R5 DB2UDBAS400_V5 ORACLE_V8
echo             INFORMIX_V73 INFORMIX_V92 SYBASE_V1192 SYBASE_V1200
echo             MSSQLSERVER_V7 MSSQLSERVER_2000 MYSQL_V323
echo   -keep          Do not delete the contents of the working directory
echo   -ignoreErrors  Do not halt for compilation or validation errors
echo   -quiet         Only output errors, suppress informational messages
echo   -novalidate    Disable the validation steps
echo   -nowarn        Disable warning and informational messages
echo   -noinform      Disable informational messages
echo   -rmic "options" Set additional options to use for RMIC
echo   -35            Use the WebSphere 3.5 compatible mapping rules
echo   -trace         Enable internal tracing
goto end
:end

endlocal
